## Base application settings
quarkus.http.root-path=/foundation/info
quarkus.oidc.enabled=false
quarkus.oidc-client.enabled=true
quarkus.http.enable-compression=true
quarkus.micrometer.enabled=true
## Required to fix instruction set mismatch due to mixed CPU in infra
quarkus.native.additional-build-args=-march=x86-64-v2

quarkus.oidc-client.roles.source=accesstoken

## Datasource setup
quarkus.datasource.db-kind=mariadb
quarkus.hibernate-orm.packages=org.eclipsefoundation.info.dtos,org.eclipsefoundation.persistence.dto
quarkus.hibernate-orm.datasource=<default>

## EXTERNAL API CLIENT CONFIG
fdndb-api/mp-rest/url=http://localhost:8095
fdndb-api/mp-rest/scope=javax.inject.Singleton
fdndb-api/mp-rest/followRedirects=true

## Custom configs for filtering country codes
eclipse.info.board.foundation-countries=US,BE
eclipse.info.board.elected-relations=CBBE,CMBE,CBUS,CMUS,FRUS
eclipse.info.board.appointed-relations=BRUS,BRBE

eclipse.info.council."architecture".chair-relation=AZ
eclipse.info.council."architecture".relations=AC,RA,EA,AZ

%dev.quarkus.keycloak.devservices.enabled=false
